<ion-content>
  <ion-grid style="height: 100%">
    <ion-row style="justify-content: center; height: 100%">
      <ion-col size-lg="5" size-md="6" size-xs="12" style="align-self: center">
        <ion-card>
          <ion-card-header>
            <ion-card-title color="primary" style="text-align: center">
              <h1 style="font-weight: bolder;">PORTAIL DE FORMATION</h1>
              <h2> Apprenti / Formateur / Entreprise</h2>
            </ion-card-title>
          </ion-card-header>
          <form [formGroup]="loginForm" (ngSubmit)="handleSubmit()">
            <ion-card-content>
              <div>
                <ng-container *ngIf="errors && errors.email !== undefined">
                  <ion-chip color="danger">
                    <ion-label color="danger" *ngFor="let emailError of errors.email">{{ emailError }}</ion-label>
                  </ion-chip>
                </ng-container>
                <ion-item style="margin-bottom: 2rem;">
                  <ion-input name="email" placeholder="your@email.com" required type="email" formControlName="username"></ion-input>
                </ion-item>
                <ng-container *ngIf="errors && errors.password !== undefined">
                  <ion-chip style="margin-top: 2rem;" color="danger">
                    <ion-text  color="danger" *ngFor="let passwordError of errors.password">{{ passwordError }}</ion-text>
                  </ion-chip>
                </ng-container>
                <ion-item>
                  <ion-input name="password" placeholder="Password" required type="password" formControlName="password"></ion-input>
                </ion-item>
              </div>
              <div style="padding-top: 2rem;">
                <ion-button expand="block" size="large" type="submit">Login</ion-button>
              </div>
            </ion-card-content>
          </form>
        </ion-card>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>
